# Functor Core_set_intf.Check_creators2_with_comparator

    module Check_creators2_with_comparator: functor (M : Creators2_with_comparator) -> Check_creators(sig
    type ('a, 'b) t = ('a, 'b) M.t

    end)(sig
    type ('a, 'b) t = ('a, 'b) M.tree

    end)(sig
    type 'a t = 'a

    end)(sig
    type 'cmp t = 'cmp

    end)(With_comparator)(M)

Parameters:

`M` | : | `Creators2_with_comparator`